Summary:       Simplified interface to XML::Parser
Name:          perl-XML-TokeParser
Version:       0.05
Release:       5%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/XML-TokeParser
Source0:       https://cpan.metacpan.org/authors/id/P/PO/PODMASTER/XML-TokeParser-%{version}.tar.gz

BuildRequires: make perl-interpreter
BuildRequires: perl-generators perl(Carp) perl(ExtUtils::MakeMaker) perl(IO::File) perl(Test)
BuildRequires: perl(XML::Catalog) perl(XML::Parser)
Requires:      perl(IO::File) perl(XML::Catalog) perl(XML::Parser)
BuildArch:     noarch

%{?perl_default_filter}

%description
XML::TokeParser provides a procedural ("pull mode") interface to XML::Parser in much the same way
that Gisle Aas' HTML::TokeParser provides a procedural interface to HTML::Parser. XML::TokeParser
splits its XML input up into "tokens," each corresponding to an XML::Parser event.

%prep
%autosetup -n XML-TokeParser-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README TODO TokeParser.xml
%{perl_vendorlib}/XML*
%{_mandir}/man3/XML*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.05-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.05-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.05-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.05-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 1 2023 Shuo Wang <abushwang@tencent.com> - 0.05-1
- initial build
